Bug 1252277 - (CVE-2015-4477) CVE-2015-4477 Mozilla: Use-after-free in MediaStream playback (MFSA 2015-81)
CVE-2015-4477 Mozilla: Use-after-free in MediaStream playback (MFSA 2015-81)
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20150811,repor...
: Security
Depends On:
Blocks: 1251515
  Show dependency treegraph
 
Reported: 2015-08-11 02:16 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 00:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-08-11 02:16:02 EDT
Security researcher SkyLined reported a use-after-free issue in how audio is handled through the Web Audio API during MediaStream playback through interactions with the Web Audio API. This results in a potentially exploitable crash. 


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-81.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges SkyLined as the original reporter.

Statement:

This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Note You need to log in before you can comment on or make changes to this bug.